write_queue.c File Reference
Osmocom msgb write queues
`#include <errno.h>`
`#include <osmocom/core/write_queue.h>`

## Functions

int | osmo_wqueue_bfd_cb (struct osmo_fd *fd, unsigned int what)
| Select loop function for write queue handling. More...
void | osmo_wqueue_init (struct osmo_wqueue *queue, int max_length)
| Initialize a osmo_wqueue structure. More...
int | osmo_wqueue_enqueue (struct osmo_wqueue *queue, struct msgb *data)
| Enqueue a new Message buffers into a write queue. More...
void | osmo_wqueue_clear (struct osmo_wqueue *queue)
| Clear a osmo_wqueue. More...